import { Modal, ModalService } from '@zeedhi/common';

export class RetiradaPlanejamentoModal {
  private filterModal!: Modal;

  public async createFilterRetiradaPlanejamentoModal() {
    this.filterModal = await ModalService.createFromJson('/modals/filtroRetiradaPlanejamento', true);
    this.filterModal.show();
  }

  public destroyFilterRetiradaPlanejamentoModal() {
    this.filterModal?.destroy();
  }

  public openHeaderFooterModal() {
    this.filterModal.show();
  }

  public closeHeaderFooterModal() {
    this.filterModal.hide();
  }
}
