package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.CalendarioDeCardapioPage;

public class CalendarioDeCardapioFlows {


    CalendarioDeCardapioPage calendarioDeCardapioPage = new CalendarioDeCardapioPage();

    public String acessarTelaCalendarioCardapio(){
        calendarioDeCardapioPage.acessaTelaCalendarioCardapio();
        return calendarioDeCardapioPage.validaAcessoTela();
    }

    public void mesCardapioFechado(){
        calendarioDeCardapioPage.clicaMesCardapioFechado();
    }

    public void validaCamposObrigatorios(){
        calendarioDeCardapioPage.validaCamposObrigatorios();
    }

    public void insereCalendarioCardapio(){
calendarioDeCardapioPage.insereCalendarioCardapio();
    }
    public void insereDataMenorAprovacaoUnidade(){calendarioDeCardapioPage.insereDataMenorAprovFilial();}

    public void insereDataMenorAprovacaoMatriz(){calendarioDeCardapioPage.insereDataMenorAprovMatriz();}

    public void alteraDataCalendarioCardapio(String NRDIASPRORROG){
        calendarioDeCardapioPage.alteraDataCalendario(NRDIASPRORROG);
    }

    public String validaDataLiberacaoCardapio(){
        return calendarioDeCardapioPage.validaDataLiberacao();

    }

    public String validaDataAprovacaoUnidade(){
        return calendarioDeCardapioPage.validaDataAprovacaoUnidade();
    }

    public String validaDataAprovacaoMatriz(){
        return calendarioDeCardapioPage.validaDataAprovacaoMatriz();
    }

    public String validaDataCustoCardapio(){
        return calendarioDeCardapioPage.validaDataCusto();
    }

    public void prorrogacaoAutomatica(){
        calendarioDeCardapioPage.prorrogacaoAutomatica();

    }

    public String validarDiasProrrogacao(){
        return calendarioDeCardapioPage.validaDiasProrrogacao();
    }

    public void prorrogacaoUnidadesFiltro(String NRDIAS){
        calendarioDeCardapioPage.prorrogadiasUnidades(NRDIAS);
    }

    public void exportarCalendarioCardapio(){
        calendarioDeCardapioPage.exportarCalendarioCardapio();
    }

    public String validaPrevisaoLiberacao(){return calendarioDeCardapioPage.validaPrevisaoLiberacao();}
    public String validaDiasAprovacao(){return calendarioDeCardapioPage.validaDiasAprovacaoUnidade();}
    public String validaLimiteAprovacao(){return calendarioDeCardapioPage.validaLimiteAprovacaoUnidade();}
    public String validaDiasAprovacaoMatriz(){return calendarioDeCardapioPage.validaDiasAprovacaoMatriz();}
    public String validaLimiteAprovacaoMatriz(){return calendarioDeCardapioPage.validaLimiteAprovacaoMatriz();}
    public String validaDiasProrrogacao(){return calendarioDeCardapioPage.validaDiasProrrogacaoAprovacao();}
    public String validaDataCustoBase(){return calendarioDeCardapioPage.validaCustoBaseCardapio();}
    public void logCalendarioCardapio(){calendarioDeCardapioPage.logCalendarioCardapio();}



}
